package com.steering.pss.judge.model;

/**
 * 数据库表HTT_APPEARANCECHECK_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-1M51SAA   date 2019-04-06
 */
@SuppressWarnings("serial")
public class HttAppearancecheckResultEntity implements java.io.Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 热处理生产批次号
     */
    private String zyBatchId = "";
    /**
     * 热处理生产批次号序号
     */
    private String prodIndex = "";
    /**
     * 热处理订单编号
     */
    private String proPlanId = "";
    /**
     * 热处理订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 外径范围上限
     */
    private String odmax = "";
    /**
     * 外径范围下限
     */
    private String odmin = "";
    /**
     * 不圆度
     */
    private String outofroundness = "";
    /**
     * 管端直度
     */
    private String endstraightness = "";
    /**
     * 全长直度
     */
    private String fulllengthstraightness = "";
    /**
     * 检测支数
     */
    private String checkpieces = "";
    /**
     * 合格支数
     */
    private String passNum = "";
    /**
     * 可疑支数
     */
    private String dubiousNum = "";
    /**
     * 不合格支数
     */
    private String wastNum = "";
    /**
     * 缺陷项单号
     */
    private String defSerialItem = "";
    /**
     * 采集/录入时间
     */
    private String colTime = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 操作时间
     */
    private String createTime = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 热处理次数
     */
    private String processSeq = "";
    /**
     * 不合格重量
     */
    private String wastWt = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 报告地址
     */
    private String reportPath = "";
    private String judgeResult = "";
    private String qualifiedNum = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 热处理生产批次号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 热处理生产批次号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 热处理生产批次号序号
     * @return value
     */
    public String getProdIndex() {
        return prodIndex;
    }

    /**
     * 热处理生产批次号序号
     * @param prodIndex value
     */
    public void setProdIndex(String prodIndex) {
        this.prodIndex = prodIndex;
    }

    /**
     * 热处理订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 热处理订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 热处理订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 热处理订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 外径范围上限
     * @return value
     */
    public String getOdmax() {
        return odmax;
    }

    /**
     * 外径范围上限
     * @param odmax value
     */
    public void setOdmax(String odmax) {
        this.odmax = odmax;
    }

    /**
     * 外径范围下限
     * @return value
     */
    public String getOdmin() {
        return odmin;
    }

    /**
     * 外径范围下限
     * @param odmin value
     */
    public void setOdmin(String odmin) {
        this.odmin = odmin;
    }

    /**
     * 不圆度
     * @return value
     */
    public String getOutofroundness() {
        return outofroundness;
    }

    /**
     * 不圆度
     * @param outofroundness value
     */
    public void setOutofroundness(String outofroundness) {
        this.outofroundness = outofroundness;
    }

    /**
     * 管端直度
     * @return value
     */
    public String getEndstraightness() {
        return endstraightness;
    }

    /**
     * 管端直度
     * @param endstraightness value
     */
    public void setEndstraightness(String endstraightness) {
        this.endstraightness = endstraightness;
    }

    /**
     * 全长直度
     * @return value
     */
    public String getFulllengthstraightness() {
        return fulllengthstraightness;
    }

    /**
     * 全长直度
     * @param fulllengthstraightness value
     */
    public void setFulllengthstraightness(String fulllengthstraightness) {
        this.fulllengthstraightness = fulllengthstraightness;
    }

    /**
     * 检测支数
     * @return value
     */
    public String getCheckpieces() {
        return checkpieces;
    }

    /**
     * 检测支数
     * @param checkpieces value
     */
    public void setCheckpieces(String checkpieces) {
        this.checkpieces = checkpieces;
    }

    /**
     * 合格支数
     * @return value
     */
    public String getPassNum() {
        return passNum;
    }

    /**
     * 合格支数
     * @param passNum value
     */
    public void setPassNum(String passNum) {
        this.passNum = passNum;
    }

    /**
     * 可疑支数
     * @return value
     */
    public String getDubiousNum() {
        return dubiousNum;
    }

    /**
     * 可疑支数
     * @param dubiousNum value
     */
    public void setDubiousNum(String dubiousNum) {
        this.dubiousNum = dubiousNum;
    }

    /**
     * 不合格支数
     * @return value
     */
    public String getWastNum() {
        return wastNum;
    }

    /**
     * 不合格支数
     * @param wastNum value
     */
    public void setWastNum(String wastNum) {
        this.wastNum = wastNum;
    }

    /**
     * 缺陷项单号
     * @return value
     */
    public String getDefSerialItem() {
        return defSerialItem;
    }

    /**
     * 缺陷项单号
     * @param defSerialItem value
     */
    public void setDefSerialItem(String defSerialItem) {
        this.defSerialItem = defSerialItem;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 操作时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 热处理次数
     * @return value
     */
    public String getProcessSeq() {
        return processSeq;
    }

    /**
     * 热处理次数
     * @param processSeq value
     */
    public void setProcessSeq(String processSeq) {
        this.processSeq = processSeq;
    }

    /**
     * 不合格重量
     * @return value
     */
    public String getWastWt() {
        return wastWt;
    }

    /**
     * 不合格重量
     * @param wastWt value
     */
    public void setWastWt(String wastWt) {
        this.wastWt = wastWt;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 报告地址
     * @return value
     */
    public String getReportPath() {
        return reportPath;
    }

    /**
     * 报告地址
     * @param reportPath value
     */
    public void setReportPath(String reportPath) {
        this.reportPath = reportPath;
    }

    public String getJudgeResult() {
        return judgeResult;
    }

    public void setJudgeResult(String judgeResult) {
        this.judgeResult = judgeResult;
    }

    public String getQualifiedNum() {
        return qualifiedNum;
    }

    public void setQualifiedNum(String qualifiedNum) {
        this.qualifiedNum = qualifiedNum;
    }
}
